curl --request GET \
--url https://api.leadping.ai/leads/{id}import requests
url = "https://api.leadping.ai/leads/{id}"
response = requests.get(url)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/leads/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/leads/{id}")
.asString();const options = {method: 'GET'};
fetch('https://api.leadping.ai/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/leads/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/leads/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"metadata": {
"trustedFormUrl": "<string>",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmTerm": "<string>",
"utmContent": "<string>",
"referrer": "<string>",
"landingPage": "<string>",
"subId": "<string>",
"pubId": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"externalId": "<string>",
"sellerLeadId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"price": "<string>",
"directPostPrice": "<string>",
"product": "<string>",
"vertical": "<string>",
"complianceStatus": "<string>",
"complianceBlockedReason": "<string>",
"sourceMetadata": {},
"origin": "<string>",
"importBatchId": "<string>",
"isImported": true,
"assignedPhoneNumberId": "<string>",
"smsConsentStatus": "<string>",
"smsOptedOut": true,
"smsOptOutAt": "2023-11-07T05:31:56Z",
"smsOptInAt": "2023-11-07T05:31:56Z",
"smsHelpRequestedAt": "2023-11-07T05:31:56Z",
"smsConsentPhoneNumber": "<string>",
"userId": "<string>",
"businessId": "<string>"
},
"contact": {
"firstName": "<string>",
"lastName": "<string>",
"streetAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"province": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "<string>",
"additionalInfo": "<string>"
},
"coordinate": {
"latitude": "<string>",
"longitude": "<string>"
},
"timeZoneId": "<string>",
"phone": {
"phoneIdentityId": "<string>",
"number": "<string>",
"type": "<string>"
},
"email": "<string>"
},
"phoneIdentity": {
"number": "<string>",
"lookup": {
"number": "<string>",
"isValid": true,
"carrier": {
"mobileCountryCode": "<string>",
"mobileNetworkCode": "<string>",
"name": "<string>",
"normalizedCarrier": "<string>",
"errorCode": "<string>"
},
"location": {
"location": "<string>",
"state": "<string>",
"canonicalCity": "<string>",
"canonicalState": "<string>",
"countryCode": "<string>",
"coordinate": {
"latitude": "<string>",
"longitude": "<string>"
},
"coordinateSource": {
"method": "<string>",
"query": "<string>"
},
"timeZoneId": "<string>",
"timeZoneSource": {
"method": "<string>",
"query": "<string>"
}
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
},
"lastEnrichedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
},
"customer": {
"height": "<string>",
"weight": "<string>",
"birthDate": "2023-12-25",
"income": "<string>",
"isHomeowner": true,
"monthsAtResidence": "<string>",
"creditScore": "<string>",
"hasBankruptcy": true,
"numberOfDependents": "<string>",
"hasMedicalCondition": true
},
"enabled": true,
"archivedAt": "2023-11-07T05:31:56Z",
"archivedByUserId": "<string>",
"archiveNote": "<string>",
"isArchived": true,
"currentDisposition": {
"id": "<string>",
"outcome": "<string>",
"displayName": "<string>",
"changedAt": "2023-11-07T05:31:56Z",
"changedByUserId": "<string>",
"changedByAutomationId": "<string>"
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"normalizedName": "<string>",
"color": "<string>"
}
],
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}Get a business lead record for current user
Returns one lead visible to the current user, including communication details, status, source, and follow-up context.
Path Parameters
The ID of the lead to retrieve.
Response
Lead was successfully retrieved.
Response schema for the Leadping API lead response returned to authenticated clients.
Structured metadata used for attribution, integrations, and reporting on this lead response.
Show child attributes
Show child attributes
Contact details for the lead or customer represented by this lead response.
Show child attributes
Show child attributes
Canonical phone identity and provider lookup details for this lead.
Show child attributes
Show child attributes
Demographic profile details for the lead represented by this lead response.
Show child attributes
Show child attributes
Indicates whether this lead response is active and available in the Leadping API.
UTC timestamp when this record was archived.
User ID of the person who archived this record.
Defines why a lead was removed from the active working pipeline.
0, 1, 2, 3, 4, 5, 6, 7, 8, 9 Optional note explaining why the lead was archived.
Indicates whether the lead has been archived in Leadping.
Current disposition summary that describes the lead outcome.
Show child attributes
Show child attributes
Tags currently attached to this lead, source, or record.
Show child attributes
Show child attributes
The unique identifier for the entity.
The date and time when the entity was created.
The date and time when the entity was last modified, if applicable.

